from owg.util.Calc import choose

say = this.say
ask = this.ask
sleep = this.sleep
photo = this.photo

awaiting_worm_disco_review = "awaiting worm disco review"
gregg = world["GreggAnimator"]

def conversation():
	worm_disco = get_worm_disco_continuation()
	
	if worm_disco is not None and store.addFlag("gregg went to worm disco"):
		worm_disco()
	elif store.addFlag("greggs nutzphone"):
		gregg.show_phone()
		gregg.hold_phone()
		ask("Oh! Bogus, what's your phone number? I just got the brand new NutzPhone and I lost all my contacts!", "1-800-BIG-NUTZ", "1-888-URA-DORK", "1-800-ASS-BUTT")
		# TODO typing sound
		sleep(1)
		gregg.drop_phone()
		sleep(0.25)
		gregg.happy()
		say("Sweet! I'll be sure to hit you up with text messages and email chains, et cetera.")
		sleep(0.325)
		gregg.shocked()
		sleep(0.175)
		say("Oh! That reminds me! Funny story--I was simpley browsing the internet with my Wi-Fi, et cetera and I saw commenters on messageboards use this symbol!")
		gregg.hold_phone()
		photo("poomoji.jpg", "This was on my phone LOL")
		gregg.drop_phone()
		gregg.neutral()
		say("And it turns out that this symbol (turd / poo) comes preinstalled on every NutzPhone in the Emogey keyboard!")
		say("You should have seen me when I discovered this--my face was beaming--like this:")
		gregg.happy()
		sleep(2)
		gregg.neutral()
		ask("Anyway, now that I have NutzPhone I'll be sure to bookmark any nice content I stumble across--so that I can show it to you!", "Can't wait!")
		gregg.happy()
		say("You're such a trip, Bogus!")
		gregg.neutral()
		world["GreggContent"].add_show_content()
	elif store.hasFlag(awaiting_worm_disco_review) and store.addFlag("received worm disco review"):
		say("You know, there hasn't been a whole lot going on for me lately!")
		gregg.happy()
		say("And that is absolutely not a problem for a guy like me!")
		gregg.neutral()
		say("But! I did hear from a certain Drummer that you were spotted in the Worm Disco not too long ago!")
		ask("I'm just dying to hear your recap of the Worm Disco x Bogus experience!", "Great music.", "Great lights.", "Great worms.")
		gregg.happy()
		say("Laughing out loud! What a strange coincidence--I feel the same way! That is definitely one of my favorite aspects of the Worm Disco.")
		gregg.neutral()
		ask("Anyway, glad to hear that you got a kick out of the W.D. (Worm Disco)! Maybe one night that I'm not devouring some munchworthy turds you might even catch me there!", "Sounds lovely.")
		gregg.happy()
		say("Laughing out loud! You crack me up, Bogus!")
		gregg.neutral()
	elif store.addFlag("gregg discusses cooking"):
		discuss_cooking()
	else:
		routes = [worm_disco, discuss_cooking]
		filtered_routes = remove_nones(routes)
		if len(filtered_routes) > 0:
			choose(filtered_routes)()
	
def can_visit_the_worm_disco():
	return True
		
def remove_nones(list):
	return [x for x in list if x is not None]
	
def discuss_cooking():
	yes = "Yes."
	result = ask("Oh! Bogus, do you know any recipes?", yes, "No.")
	if result == yes:
		gregg.happy()
		say("Nice. You know I'm usually an eat-'em-raw type of guy, but I've been experimenting with cooking recently.")
		gregg.neutral()
	else:
		say("Oh yeah? Well, I think you would like some of the recipes I've been following recently.")
	say("Obviously, most recipes out in the wild require a lot of ingredient substitution to satisfy a guy like me.")
	say("Maybe someday, someone, somewhere will assemble a turd-based recipe book.")
	gregg.happy()
	say("And hey--if I have to be that someone, so be it! Laughing out loud!")
	gregg.neutral()
	
def discuss_worm_disco():
	say("Well I just got back from the Worm Disco... And boy, let me tell you--those worms really know how to party!")
	gregg.happy()
	ask("Day. Night. Afternoon. Lunchtime-ish. You can rest assured that those worms are getting down on the disco-dance floor!", choose("Dang.", "Damn."))
	gregg.neutral()
	say(choose("Exactly.", "My thoughts exactly!") + " Anyway, I went down to the Worm Disco. Those DJ Beats were bangin' and I was thumpin' with the worms.")
	gregg.happy()
	say("I even snapped a hot selfie in between songs! The lighting is so " + choose("great", "fabulous") + " in there I just couldn't resist.")
	gregg.neutral()
	photo("selfie at the worm disco.jpg", "#Worm #Disco !!!")
	say("My only complaint was the venue was a bit dirty--looked like " + choose("some", "a couple") + " worms tracked in a decent amount of soil.")
	if ask("Otherwise--great night! You should absolutely go sometime!", "I will!", "Nah.") == "I will!":
		say("Nice! Well I expect a full report of your experience once you go!")
		store.addFlag(awaiting_worm_disco_review)
	else:
		gregg.sad()
		say("Oh... Well don't let the whole \"dirt on the floor\" thing deter you! It was barely an issue, really!")
	
def get_worm_disco_continuation():
	if can_visit_the_worm_disco():
		return discuss_worm_disco
	return None
