tex_sit = "meatfiend idle"
tex_speak = "meatfiend speak"
tex_shock = "meatfiend shock"

patron = world["MeatFiend"]

state = SimpleNamespace()
state.steps = 0
state.tex_emote = None

# Public

def neutral():
	state.tex_emote = None
	
def shock():
	state.tex_emote = tex_shock

# Private

def step():
	if state.tex_emote is None:
		if (patron.vocalizing):
			with_meatfiends(set_texture(tex_speak))
		else:
			with_meatfiends(set_texture(tex_sit))
	else:
		with_meatfiends(set_texture(state.tex_emote))

	if (state.steps >= 15):
		with_meatfiends(toggle_subimage)
		state.steps = 0
	else:
		state.steps += 1
		
def toggle_subimage(meatfiend):
	meatfiend.subimage.set((meatfiend.subimage.get() + 1) % 2)

def set_texture(texture_name):
	return lambda meatfiend : meatfiend.texture.set(texture_name)
	
def with_meatfiends(action):
	action(world["MeatFiendOverworldDecal"])
	action(world["MeatFiendTalkDecal"])