from audio import Audio

arrow = world["ShowTurdsArrow"]
state = SimpleNamespace()
state.enabled = False
state.steps = 0

def disable():
	state.enabled = False
	arrow.setVisible(False)

def enable():
	state.enabled = True
	arrow.setVisible(True)
	play_arrow_sound()
	state.steps = 0

def start():
	disable()

def step():
	if state.enabled and increment_steps() >= 15:
		state.steps = 0
		arrow.setVisible(not arrow.isVisible())
		play_arrow_sound()
		
def increment_steps():
	state.steps += 1
	return state.steps
	
def play_arrow_sound():
	if arrow.isVisible():
		Audio.play("arrow show", None, 0.8, None, 1)