from owg.util.Calc import choose

from mini.karaoke.intro import KaraokeBothSpawner

from audio import Audio

ask = this.ask
say = this.say
sleep = this.sleep
script = this.script

bobuck = world["BobuckAnimator"]
tiny_tunes = world["BobuckTinyTune"]
whats_up = world["BobuckWhatsUp"]

def conversation():
	if KaraokeBothSpawner.win.isAwarded() and store.addFlag("discussed performance"):
		bobuck.happy()
		say("Oh Bogus!!! You're a star! You're a star! You're a star! You truly found your own voice at the performance!")
		say("I'm so incredibly proud of you! Excellent, excellent, excellent work!")
		bobuck.neutral()
		
		killed_borgus = KaraokeBothSpawner.killedBorgus.isPresent()
		killed_drummer = KaraokeBothSpawner.killedDrummer.isPresent()
		
		killed_one = killed_borgus or killed_drummer
		killed_both = killed_borgus and killed_drummer
		
		if killed_both:
			say("And killing your bandmates?! How performative!")
		elif killed_one:
			say("And killing a bandmate?! How performative!")
			
		bobuck.happy()
		say("I'm just so thrilled to have even been a part of it all!")
	elif store.addFlag("first bobuck talk"):
		first_conversation()
	else:
		greeting = choose("Hi, B", "Hello, Bogus") + choose(".", "!")
		question = choose("What's going on?", "What can I do for you?")
		
		sup = "Sup?"
		hear_a_tiny_tune = "Tiny tune?"
		
		result = ask(greeting + " " + question, hear_a_tiny_tune, sup)
		if result == sup:
			script(whats_up)
		else:
			so = choose("Ah so", "So")
			verb = choose("crave", "desire")
			eh = choose("eh", "huh")
			lets_see = choose("Let's see", "Well, let's see") + choose(" here", "")
			say(so + ", it's a tiny tune that you " + verb + ", " + eh + "? " + lets_see + "...")
			
			sleep(0.2)
			Audio.play("bobuck think", None, 1, None, 1)
			sleep(1.2)
			
			script(tiny_tunes)
	
def first_conversation():
	say("Oh hello, Bogus. Long time no see!")
	say("Ever since you summoned me out of retirement to punish the Drummer, I've been entranced by the Mundenmark city life.")
	say("There are certainly some very interesting folk around these parts, and I find some of their practices so inspirational!")
	ask("So inspirational, in fact, that I've begun composing tiny tunes about certain Mundenmarkites who have really left an impression on me.", "Oh?")
	yes = "Sure!"
	result = ask("Yes! Yes! Say, would you like to hear my latest piece?", yes, "Nah.")
	if result == yes:
		script(tiny_tunes)
	else:
		bobuck.happy()
		say("Oh, that's alright. And it does give me some more time to refine this little song I had prepared!")
		bobuck.neutral()
		ask("Well, if you're ever fiending for a hot new tiny tune from yours truly, you know where to find me!", "OK!")