from owg.util.Calc import PI
from owg.util.opengl import ColorF
from audio import Audio

delta_angle = PI / -6

spinner = world["LoadingSpinner"]
state = SimpleNamespace()
state.steps = 0
state.hue = 0

def on():
	Audio.loop("loading content", None, 0.8, None, 1)
	spinner.setVisible(True)

def off():
	Audio.stop("loading content")
	spinner.setVisible(False)
	
def start():
	off()

def step():
	if spinner.isVisible():
		state.hue += 1
		if state.hue > 255:
			state.hue = 0
		color = ColorF.hsba(state.hue / 255.0, 1, 1, 1)
		spinner.color.set(color)
			
		state.steps += 1
		if state.steps >= 2:
			spinner.setAngle(spinner.getAngle() + delta_angle, False)
			state.steps = 0