from owg.util.Calc import choose
from owg.util.euclidian import V2F

inspect_placeable = world["BogusInspectPosition"]
inspect_pos = V2F(inspect_placeable.getX(), inspect_placeable.getY())

say = this.say
ask = this.ask
move_bogus = this.moveBogus
photo = this.photo
add_flag = store.addFlag
sleep = this.sleep

trash_bag = world["TrashBagAnimator"]

def conversation():
	adverb = choose("simply", "just", "only")
	say("It's " + adverb + " a trash bag.")
	
	no = "No."
	result = ask("Inspect it?", "Yes.", no)
	
	if result == no:
		sleep(0.75)
		say("OK.")
		return
		
	move_bogus(inspect_pos, 1.3)
	
	sleep(0.25)
	trash_bag.inspect()
	sleep(0.75)
	
	image = choose("a photo", "a photograph", "an image", "a print")
	say("There's " + image + " in here...")
	
	show_photo()
	
	sleep(0.75)
	say("OK.")
	
def show_photo():
	photo_name = get_photo_name()
	photo(photo_name, photo_name)

photo_names = ["BOGUSNDRUMMER.png",
"drawing9999.png",
"eating mockup.png",
"Question.png",
"faj.png",
"good shit 2.png",
"ike1.png",
"tulip heightmap discrepancy.png",
"Untitled-3.png",
"fack you.png",
"Love.png",
"NUSTY.png",
"JavaBogus.png",
"lol.png",
"sdfjlh.png",
"bogus.png",
"bgsmyif.png",
"Classic.png"]

def get_photo_name():
	choice = choose(photo_names)
	if add_flag(get_flag(choice)):
		return choice
	
	for photo_name in photo_names:
		if add_flag(get_flag(photo_name)):
			return photo_name
			
	return choose(photo_names)
	
def get_flag(photo_name):
	return "trash bag " + photo_name